<?php

require_once( 'database_common.php' ); 
require_once( 'database_users.php' );

function display_week_links( $title, $fileName )
{
	$weeks = get_season_weeks();
	$currentWeek = 0;
	?>
	<fieldset>
		<legend><?php echo $title ?></legend>
		<table border="0">
			<tr>
	<?php
	for($currentWeek = 1; $currentWeek <= $weeks; $currentWeek++)
		{
			echo '<td width="10"><a href="' . $fileName . '?gameSeason=regular&gameWeek=' . $currentWeek . '">'. $currentWeek . '</a></td>';
		}
		echo '<td width="10"><a href="' . $fileName . '?gameSeason=postseason&gameWeek=1">Bowls</a></td>';
	?>
		</tr>
		</table>
	</fieldset>
	<?php
}

function display_user_select_menu( $currUser, $fileName, $gameWeek, $gameSeason )
{
	$users = get_all_user_ids();
	?>
	<form method="POST" action="<?php echo $fileName ?>">
		<input type="hidden" name="gameWeek" value="<?php echo $gameWeek ?>"></input>
		<input type="hidden" name="gameSeason" value="<?php echo $gameSeason ?>"></input>
		<select name="selected_user" onchange="this.form.submit()">

<?php
	foreach( $users as $user )
	{
		$name = get_user_first_name_by_id( $user['UserID'] )[0];
		if( $user['UserID'] == $currUser )
		{
			?>
			<option value="<?php echo $user['UserID'] ?>" selected="selected"><?php echo $name['FirstName'] ?></option>
			<?php
		}
		else
		{
			?>
			<option value="<?php echo $user['UserID'] ?>"><?php echo $name['FirstName'] ?></option>
			<?php
		}
	}
	?>
		</select>
	</form>
	<?php
}

function display_week_select_menu( $fileName, $gameWeek, $season )
{
	echo '<form method="GET" action="' . $fileName . '">' . "\n";
	echo '<select name="gameWeek" onchange="this.form.submit()">';
	if( $gameWeek == "Overall" )
		echo '<option value="regular|Overall" selected>Overall</option>';
	else 
		echo '<option value="regular|Overall">Overall</option>';
	if( $season == "postseason" )
		echo '<option value="postseason|1" selected>Bowls</options>';
	else
		echo '<option value="postseason|1">Bowls</options>';

	$weeks = range( 1, get_season_weeks() );
	foreach( $weeks as $week )
	{
		if( $season == "regular" && $gameWeek == $week)
			echo '<option value="regular|' . $week . '" selected>' . $week . '</option>';
		else
			echo '<option value="regular|' . $week . '">' . $week . '</option>';
	}
	echo '</select></form>';

}

?>
